org.deidentifier.arx

## Class ARXSolverConfiguration

- java.lang.Object
- - de.linearbits.newtonraphson.NewtonRaphsonConfiguration<ARXSolverConfiguration>
  - - org.deidentifier.arx.ARXSolverConfiguration

All Implemented Interfaces:
  java.io.Serializable

    public class ARXSolverConfiguration
    extends de.linearbits.newtonraphson.NewtonRaphsonConfiguration<ARXSolverConfiguration>

Runtime configuration for the solver

Author:
  prasser
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class de.linearbits.newtonraphson.NewtonRaphsonConfiguration

`DEFAULT_ACCURACY, DEFAULT_ITERATIONS_PER_TRY, DEFAULT_ITERATIONS_TOTAL, DEFAULT_TIME_PER_TRY, DEFAULT_TIME_TOTAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ARXSolverConfiguration` `accuracy(double arg0)`
`ARXSolverConfiguration` `clone()` Clones this config
`static ARXSolverConfiguration` `create()` Creates a new instance
`static double` `getDefaultAccuracy()` Default value.
`static boolean` `getDefaultDeterministic()` Default value.
`static int` `getDefaultIterationsPerTry()` Default value.
`static int` `getDefaultIterationsTotal()` Default value.
`static double[][]` `getDefaultStartValues()` Default value.
`static int` `getDefaultTimePerTry()` Default value.
`static int` `getDefaultTimeTotal()` Default value.
`boolean` `isDeterministic()` Returns whether the solving process is deterministic
`boolean` `isModified()` Modified
`ARXSolverConfiguration` `iterationsPerTry(int arg0)`
`ARXSolverConfiguration` `iterationsTotal(int arg0)`
`ARXSolverConfiguration` `preparedStartValues(double[][] values)`
`ARXSolverConfiguration` `setDeterministic(boolean deterministic)` Sets the solving process to be deterministic
`void` `setUnmodified()` Modified
`ARXSolverConfiguration` `timePerTry(int arg0)`
`ARXSolverConfiguration` `timeTotal(int arg0)`

### Methods inherited from class de.linearbits.newtonraphson.NewtonRaphsonConfiguration

`getAccuracy, getIterationsPerTry, getIterationsTotal, getStartValues, getTimePerTry, getTimeTotal`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static ARXSolverConfiguration create()

Creates a new instance

Returns:

#### getDefaultAccuracy

    public static double getDefaultAccuracy()

Default value.

Returns:

#### getDefaultDeterministic

    public static boolean getDefaultDeterministic()

Default value.

Returns:

#### getDefaultIterationsPerTry

    public static int getDefaultIterationsPerTry()

Default value.

Returns:

#### getDefaultIterationsTotal

    public static int getDefaultIterationsTotal()

Default value.

Returns:

#### getDefaultStartValues

    public static double[][] getDefaultStartValues()

Default value. Returns a set of start values for the solver in range [0,1][0,1]

Returns:

#### getDefaultTimePerTry

    public static int getDefaultTimePerTry()

Default value.

Returns:

#### getDefaultTimeTotal

    public static int getDefaultTimeTotal()

Default value.

Returns:

#### accuracy

    public ARXSolverConfiguration accuracy(double arg0)

Overrides:
  `accuracy` in class `de.linearbits.newtonraphson.NewtonRaphsonConfiguration<ARXSolverConfiguration>`

#### clone

    public ARXSolverConfiguration clone()

Clones this config

Overrides:
  `clone` in class `java.lang.Object`

#### isDeterministic

    public boolean isDeterministic()

Returns whether the solving process is deterministic

Returns:

#### isModified

    public boolean isModified()

Modified

Returns:

#### iterationsPerTry

    public ARXSolverConfiguration iterationsPerTry(int arg0)

Overrides:
  `iterationsPerTry` in class `de.linearbits.newtonraphson.NewtonRaphsonConfiguration<ARXSolverConfiguration>`

#### iterationsTotal

    public ARXSolverConfiguration iterationsTotal(int arg0)

Overrides:
  `iterationsTotal` in class `de.linearbits.newtonraphson.NewtonRaphsonConfiguration<ARXSolverConfiguration>`

#### preparedStartValues

    public ARXSolverConfiguration preparedStartValues(double[][] values)

Overrides:
  `preparedStartValues` in class `de.linearbits.newtonraphson.NewtonRaphsonConfiguration<ARXSolverConfiguration>`

#### setDeterministic

    public ARXSolverConfiguration setDeterministic(boolean deterministic)

Sets the solving process to be deterministic

Parameters:
  `deterministic` -
Returns:

#### setUnmodified

    public void setUnmodified()

Modified

#### timePerTry

    public ARXSolverConfiguration timePerTry(int arg0)

Overrides:
  `timePerTry` in class `de.linearbits.newtonraphson.NewtonRaphsonConfiguration<ARXSolverConfiguration>`

#### timeTotal

    public ARXSolverConfiguration timeTotal(int arg0)

Overrides:
  `timeTotal` in class `de.linearbits.newtonraphson.NewtonRaphsonConfiguration<ARXSolverConfiguration>`